### File

`packages/components/eui-menu/eui-menu.component.ts`

### Implements

`OnInit` `OnChanges` `OnDestroy` `AfterViewInit`

### Metadata

encapsulation | `ViewEncapsulation.None`
selector | `eui-menu`
imports | `NgTemplateOutlet` `EuiMenuItemComponent` `EUI_ICON` `EUI_ICON_INPUT` `EUI_INPUT_TEXT`
styleUrls | `./styles/_index.scss`
templateUrl | `./eui-menu.component.html`

### Index

###### Properties
menubar
###### Methods
onKeydown stopPropagation
###### Inputs
expandAllItems externalLinkLabel filterValue fragmentId hasBoldRootLevel hasCollapsedInitials hasFilter hasIcons hasIconsLabels hasScrollToItem hasTooltip hasTooltipOnExpanded isCollapsed isFlat items searchFilterLabel
###### Outputs
expandToggle isClick itemClick
###### HostBindings
class
###### HostListeners
click
###### Accessors
cssClasses

### Inputs

expandAllItems
Type : `boolean`
Default value : `false`
Expand all items in the menu. Affects only items that have no expanded property set. e.g. items = [{label: test, expanded: true}, {label: test2, expanded: false}, {label: test3}] will expand only test3.

externalLinkLabel
Type : `string`

filterValue
Type : `string`
Default value : `''`

fragmentId
Type : `string`

hasBoldRootLevel
Type : `boolean`
Default value : `false`

hasCollapsedInitials
Type : `boolean`
Default value : `false`

hasFilter
Type : `boolean`
Default value : `false`

hasIcons
Type : `boolean`
Default value : `false`

hasIconsLabels
Type : `boolean`
Default value : `false`

hasScrollToItem
Type : `boolean`
Default value : `false`

hasTooltip
Type : `boolean`
Default value : `true`

hasTooltipOnExpanded
Type : `boolean`
Default value : `false`

isCollapsed
Type : `boolean`
Default value : `false`

isFlat
Type : `boolean`
Default value : `false`

items
Type : `EuiMenuItem[]`

searchFilterLabel
Type : `string`

### Outputs

expandToggle
Type : `EventEmitter`

isClick
Type : `EventEmitter<boolean>`

itemClick
Type : `EventEmitter<EuiMenuItem>`

### HostBindings

class
Type : `string`

### HostListeners

click
Arguments : `'$event'`
`click(event: MouseEvent)`

### Methods

onKeydown
`onKeydown(event: KeyboardEvent)`
Parameters :
Name | Type | Optional
event | `KeyboardEvent` | No
Returns : `void`

stopPropagation
`stopPropagation(event: MouseEvent)`
Decorators : `@HostListener('click', ['$event'])`
Parameters :
Name | Type | Optional
event | `MouseEvent` | No
Returns : `void`

### Properties

menubar
Type : `ElementRef<HTMLUListElement>`
Decorators : `@ViewChild('menubar', {read: ElementRef})`

### Accessors

cssClasses
get `cssClasses()`

# results matching ""

# No results matching ""